1. Payment Gateway
TrustPay
en
  • en
  • zh
  • Integration Guide
  • Signature Calculation
  • Payment Gateway
    • Risk Control – Merchant Integration
    • Enums
    • Payment Callback Specification
    • C21 Suport Regions
      • TrustPay Supported Billing Countries and US/Canada Regions
    • Whitelist Management
      • Add Card Whitelists
      • Query Card Whitelists
      • Query Card Whitelists Task
    • Card Direct Payin
      POST
    • Cashier Payin
      POST
    • Order Refund
      POST
    • Payment Callback
      POST
    • Balance
      POST
    • Order Query
      POST
    • Fee Query
      POST
    • Refund Query
      POST
  • Dispute Management
    • Dispute Enums
    • Dispute Alert
    • Dispute Alert Callback
    • Dispute Prevention (RDR)
    • Dispute Management(Chargeback)
    • Chargeback Callback
  • Credit Card Issuer
    • Available Card
      POST
    • Open Card
      POST
    • Open/Recharge Card Callback
      POST
    • Get Card Detail
      POST
    • Card Recharge
      POST
    • Order List
      POST
    • Card List
      POST
    • Transaction List
      POST
    • Fee Query
      POST
  • Physical Card Issuer
    • Create Cardholder
    • List Cardholders
    • Assign Physical Cards
    • List Assigned Physical Cards
    • Query Card Balance
    • Query Card Transactions
    • Query Account
    • Card Charge
  • Schemas
    • VCardDetail
    • VOrderDetail
  1. Payment Gateway

Order Query

POST
/v4/query/order
Query the status and details of a specific order by order no

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.trustpay.money/v4/query/order' \
--header 'Content-Type: application/json' \
--data '{
    "order_no": "local-test-payin-320",
    "sign": "a22460490c6c0f6bb424789b85807dd4"
}'
Response Response Example
{
    "code": 880001,
    "message": "success",
    "data": {
        "order_no": "local-test-payin-320",
        "platform_order_no": "KxNd3TG7uRfDq2ZocNiGAh2z",
        "type_id": 0,
        "merchant_id": 8820250900009,
        "currency": "USD",
        "order_amount": 5,
        "paid_amount": 5,
        "refund_amount": 5,
        "fee": 0.5,
        "arn": "",
        "status": 7,
        "reason": "",
        "notify_status": 2,
        "notify_time": "2026-05-27T03:05:08.316989Z",
        "create_time": "2026-05-27T02:58:36.664959Z"
    }
}
Modified at 2026-06-16 15:36:57
Previous
Balance
Next
Fee Query
Built with